# binutils

Binutils is a collection of binary utilities, including:
 * ar: creating modifying and extracting from archives
 * nm: for listing symbols from object files
 * objcopy: for copying and translating object files
 * objdump: for displaying information from object files
 * ranlib: for generating an index for the contents of an archive
 * size: for listing the section sizes of an object or archive file
 * strings: for listing printable strings from files
 * strip: for discarding symbols (a filter for demangling encoded C++ symbols
 * addr2line: for converting addresses to file and line
 * nlmconv: for converting object code into an NLM

